Tp::Service::ChannelInterfaceSubjectAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Public Member Functions | List of all members
Tp::Service::ChannelInterfaceSubjectAdaptor Class Reference
Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inherits Tp::AbstractAdaptor.

## Public Slots
void | SetSubject (const QString &subject, const QDBusMessage &dbusMessage)

## Public Member Functions
QString | Subject () const
QString | Actor () const
uint | ActorHandle () const
qlonglong | Timestamp () const
bool | CanSet () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.Subject2".

## Member Function Documentation

QString Tp::Service::ChannelInterfaceSubjectAdaptor::Subject | ( |  | ) | const

Return the value of the exported D-Bus object property `Subject` of type `QString`.

Adaptees should export this property as a Qt property named 'subject' with type QString.

The human-readable subject on the channel such as the topic in an IRC channel, or the room name in XMPP MUCs.

This property replaces the subject Telepathy property of Text channels, as Telepathy properties are soon to be deprecated completely.

This property may change during the lifetime of the channel and MUST not be included in a channel request.

Returns
  The value of exported property `Subject`.

QString Tp::Service::ChannelInterfaceSubjectAdaptor::Actor | ( |  | ) | const

Return the value of the exported D-Bus object property `Actor` of type `QString`.

Adaptees should export this property as a Qt property named 'actor' with type QString.

The normalized contact ID representing who last modified the subject, or the empty string if it is not known.

This property replaces the subject-contact Telepathy property of Text channels, as Telepathy properties are soon to be deprecated completely.

Returns
  The value of exported property `Actor`.

uint Tp::Service::ChannelInterfaceSubjectAdaptor::ActorHandle | ( |  | ) | const

Return the value of the exported D-Bus object property `ActorHandle` of type `uint`.

Adaptees should export this property as a Qt property named 'actorHandle' with type uint.

The handle corresponding to Actor , or 0 if the Actor is unknown.

Returns
  The value of exported property `ActorHandle`.

qlonglong Tp::Service::ChannelInterfaceSubjectAdaptor::Timestamp | ( |  | ) | const

Return the value of the exported D-Bus object property `Timestamp` of type `qlonglong`.

Adaptees should export this property as a Qt property named 'timestamp' with type qlonglong.

A unix timestamp indicating when the subject was last modified, or `INT_MAX64` if unknown.

This property replaces the subject-timestamp Telepathy property of Text channels, as Telepathy properties are soon to be deprecated completely.

Returns
  The value of exported property `Timestamp`.

bool Tp::Service::ChannelInterfaceSubjectAdaptor::CanSet | ( |  | ) | const

Return the value of the exported D-Bus object property `CanSet` of type `bool`.

Adaptees should export this property as a Qt property named 'canSet' with type bool.

TRUE if the Subject property can be set by the user by calling SetSubject() , otherwise FALSE.

If implementations are unsure of what this value should be it SHOULD still be set to what it believes the value is. As a result, clients should be aware that SetSubject() can still fail even with this property set to TRUE.

In XMPP it is impossible to know whether an occupant can set the subject as XMPP server implementations are wildly inconsistent.

Returns
  The value of exported property `CanSet`.

void Tp::Service::ChannelInterfaceSubjectAdaptor::SetSubject | ( | const QString & | subject,
|  | const QDBusMessage & | dbusMessage
| ) |  |
| slot

Begins a call to the exported D-Bus method `SetSubject` on this object.

Adaptees should export this method as a Qt slot with the following signature: void setSubject(const QString& subject, const Tp::Service::ChannelInterfaceSubjectAdaptor::SetSubjectContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Set the room's subject. Clients SHOULD look at the subject flags before calling this method as the user might not have permission to set the subject.

A successful return of this method indicates a successful change in subject, but clients should still listen for changes to the Subject property for further changes by other users or the server.

Parameters

  subject |
      The new subject.